## org.eclipse.datatools.connectivity.oda.util.manifest
Class JavaRuntimeInterface

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.RuntimeInterface
          org.eclipse.datatools.connectivity.oda.util.manifest.JavaRuntimeInterface

    public class JavaRuntimeInterface

extends RuntimeInterface

This class encapsulates the Java runtime interface specific configurations.

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.oda.util.manifest.RuntimeInterface
`C_TYPE, JAVA_TYPE`

Method Summary
`java.lang.String` `getDriverClass()` Returns the fully qualified concrete class that implements the org.eclipse.datatools.connectivity.oda.IDriver interface.
`java.net.URL` `getDriverFileLocation(java.lang.String filename)` Returns the driver file location for the current OS platform.
`int` `getInterfaceType()` Returns the interface type of the runtime.
`java.lang.String[]` `getLibraries()` Returns the list of libraries for the current OS platform.
`java.net.URL` `getLibraryLocation()` Returns the library location for the current OS platform.
`boolean` `needSetThreadContextClassLoader()` If true, the consumer of the ODA runtime extension plugin should set the thread context class loader to the class loader used to load this driver before calling any ODA interface method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInterfaceType

    public int getInterfaceType()

  Description copied from class: `RuntimeInterface`
  Returns the interface type of the runtime. Either RuntimeInterface.C_TYPE or RuntimeInterface.JAVA_TYPE.

  Specified by:
    `getInterfaceType` in class `RuntimeInterface`
  Returns:
    runtime interface type: RuntimeInterface.C_TYPE or RuntimeInterface.JAVA_TYPE.

### getDriverClass

    public java.lang.String getDriverClass()

  Returns the fully qualified concrete class that implements the org.eclipse.datatools.connectivity.oda.IDriver interface. This is the entry point of the ODA runtime extension.

  Returns:
    the fully qualified connection factory class name.

### needSetThreadContextClassLoader

    public boolean needSetThreadContextClassLoader()

  If true, the consumer of the ODA runtime extension plugin should set the thread context class loader to the class loader used to load this driver before calling any ODA interface method. The default is false.

  Returns:
    true if the thread context classloader is to be set for the ODA runtime extension plugin.

### getLibraryLocation

    public java.net.URL getLibraryLocation()
                                    throws java.io.IOException

  Description copied from class: `RuntimeInterface`
  Returns the library location for the current OS platform.

  Specified by:
    `getLibraryLocation` in class `RuntimeInterface`
  Returns:
    the library location URL.
  Throws:
    `java.io.IOException` - if an IO error occurs.
  See Also:
    `RuntimeInterface.getLibraryLocation()`

### getDriverFileLocation

    public java.net.URL getDriverFileLocation(java.lang.String filename)
                                       throws java.io.IOException

  Description copied from class: `RuntimeInterface`
  Returns the driver file location for the current OS platform.

  Specified by:
    `getDriverFileLocation` in class `RuntimeInterface`
  Parameters:
    `filename` - the name of the driver file.
  Returns:
    the driver file location URL.
  Throws:
    `java.io.IOException` - if an IO error occurs.
  See Also:
    `RuntimeInterface.getDriverFileLocation(java.lang.String)`

### getLibraries

    public java.lang.String[] getLibraries()

  Description copied from class: `RuntimeInterface`
  Returns the list of libraries for the current OS platform.

  Specified by:
    `getLibraries` in class `RuntimeInterface`
  Returns:
    the list of libraries.
  See Also:
    `RuntimeInterface.getLibraries()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.